<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$doc = new document(5);
$doc -> title = 'Рефералы';



if (isset($_GET['id_site']))
{
$id=(string)$_GET['id_site'];

$q=mysql_query("SELECT * FROM `log_of_referers_sites` WHERE `id` = '$id' LIMIT 1");

if (!mysql_num_rows($q))
{
header('Refresh: 1; url=?');
$doc->ret('Вернуться','?');
$doc->err('Данные о сайте отсутствуют');
exit;
}

$site=mysql_fetch_assoc($q);

$doc->title='Рефералы с сайта "'.$site['domain'].'"';

$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(DISTINCT `full_url`) FROM `log_of_referers` WHERE `id_site` = '$id'"), 0);
$pages->this_page(); // получаем текущую страницу
$q = mysql_query("SELECT `full_url`, COUNT(*) AS `count`, MAX(`time`) AS `time` FROM `log_of_referers` WHERE `id_site` = '$id' GROUP BY `full_url` ORDER BY `time` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($ref=mysql_fetch_assoc($q)) {
$posts[]=array('title'=>vremja($ref['time']),'post'=>output_text($ref['full_url']).' ('.$ref['count'].')');
}

if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Рефералы отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing("?id_site=$id&amp;"); // вывод страниц
$doc->ret('Все рефералы','?');
$doc->ret('Админка','/dpanel/');
exit;
}











if (!$dcms->log_of_referers)$design->err('Служба записи рефералов не запущена');

switch (@$_GET['order']) {
case 'count':$filter ='count';$order="`count` DESC";break;
case 'domain':$filter ='domain';$order="`domain` ASC";break;
default:$filter ='time';$order='`time` DESC';break;
}


$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `log_of_referers_sites`"), 0);
$pages->this_page(); // получаем текущую страницу


// меню сортировки
$ord = array();
$ord[]=array("?order=time&amp;page={$pages->this_page}",'Последние',$filter =='time');
$ord[]=array("?order=count&amp;page={$pages->this_page}",'Переходы',$filter =='count');
$ord[]=array("?order=domain&amp;page={$pages->this_page}",'Адрес',$filter =='domain');
$or = new design();
$or->assign('order',$ord);
$or->display('design.order.tpl');


$q = mysql_query("SELECT * FROM `log_of_referers_sites` ORDER BY $order LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($ref=mysql_fetch_assoc($q)) {
$t='<a href="?id_site='.$ref['id'].'">'.output_text($ref['domain']).'</a>';



$p="";

if ($filter =='time')$t.=' ('.vremja($ref['time']).')';
else $p.='Посл. запись: '.vremja($ref['time']).'<br />';
if ($filter =='count')$t.=' ('.$ref['count'].')';
else $p.='Всего переходов: '.$ref['count'].'<br />';

$posts[]=array('title'=>$t,'post'=>$p);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Рефералы отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing("?order=$filter&amp;"); // вывод страниц



if (!$dcms->log_of_referers)$doc->act('Управление службами','sys.settings.daemons.php');
$doc->ret('Админка','./');
?>